/***************************************************************************
 *   Copyright (C) 2005-2006 by Andreas Silberstorff   *
 *   ml@andreas-silberstorff.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 *                                                                         *
 *   In addition, as a special exception, the copyright holders give       *
 *   permission to link the code of this program with any edition of       *
 *   the Qt library by Trolltech AS, Norway (or with modified versions     *
 *   of Qt that use the same license as Qt), and distribute linked         *
 *   combinations including the two.  You must obey the GNU General        *
 *   Public License in all respects for all of the code used other than    *
 *   Qt.  If you modify this file, you may extend this exception to        *
 *   your version of the file, but you are not obligated to do so.  If     *
 *   you do not wish to do so, delete this exception statement from        *
 *   your version.                                                         *
 ***************************************************************************/
#ifndef KALVA_CHANNELLIST_H
#define KALVA_CHANNELLIST_H

#include "kalva_channellistgui.h"

class KalvaProfile;
class KAction;

class KalvaChannellist: public kalvagui_channellistgui
{
Q_OBJECT

public:
    KalvaChannellist(QWidget *parent = 0, const char *name = 0);
    virtual ~KalvaChannellist();
    virtual void loadChannellist();
    virtual void setChannellist(QStringList & chlst);
    virtual QStringList getChannellist() const;

    // memberfunctions
    virtual bool changed();
    virtual QString frq();
    virtual QString channel();
    virtual QString station();
    virtual signed int fuzzyStation( const QString & yourStation );
    virtual QString yourFuzzyStation( const QString & yourStation );
    virtual bool setStation(   const QString & yourStation );

public slots:
    virtual void slotImport(const QStringList &chlst );
    virtual void slotSaveChannellist();
    virtual void slotStationChanged( int, int, int, const QPoint& );

protected:
    virtual void setChanged(bool changed);
    void chlstImported(const QStringList & chlst );
    virtual void saveChannellist(const QString & rFilename);

protected:
    bool m_changed;

private:
	KalvaProfile* m_channellist;
    KAction* m_actionSave;
};

#endif
